### Constructor

# Gegl Buffer introspectable_new

#### Declaration [src]

    GeglBuffer*
    gegl_buffer_introspectable_new (
      const char* format_name,
      gint x,
      gint y,
      gint width,
      gint height
    )

#### Description [src]

Create a new GeglBuffer with the given format and dimensions.

#### Parameters

`format_name`

  Type: `const char*`

  The Babl format name for this buffer, e.g. “RGBA float”

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`x`

  Type: `gint`

  X origin of the buffer’s extent.

`y`

  Type: `gint`

  Y origin of the buffer’s extent.

`width`

  Type: `gint`

  Width of the buffer’s extent.

`height`

  Type: `gint`

  Height of the buffer’s extent.

#### Return value

Type: `GeglBuffer`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.